import 'package:flutter/material.dart';
import 'laokyc_login_button.dart';

class LoginButton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      child: Card(
        elevation: 15,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(15.0),
        ),
        child: Container(
          decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(15.0),
              gradient: LinearGradient(
                colors: [
                  Color(0xFFfa983a),
                  Color(0xFFfa983a),
                ],
              )),
          child: LaoKYCButton(
            clientId: '',
            clientSecret: '',
            redirectUrl: '',
            route: '',
            lang: '',
            scope: [],
          ),
        ),
      ),
    );
  }
}
